require 'optparse'

class OptionParser
  def self.parse!(argv = ARGV)
    options = {}
    OptParse.new do |opts|
      opts.default_argv = argv

      opts.banner = "Usage: pastebinner [options]"

      opts.on('-h', '--help', 'Show this help messae') do ||
        puts opts
        exit
      end

      opts.on('-s', '--scrape_public', 'Scrape public pastes') do |s|
        options[:s] = true
      end

      opts.on('-r', '--raw', 'Raw paste. Requires --key passed with a valid key') do |r|
        options[:r] = true
      end

      opts.on('-g', '--get_keys', 'Get unique paste keys from public pastes') do |g|
        options[:g] = true
      end

      opts.on('-k', '--key=', 'Unique paste key') do |k|
        options[:k] = k
      end

      opts.on('-d', '--download', 'Download all public pastes to data directory') do |d|
        options[:d] = true
      end

      opts.on('-t', '--trending', 'Trending pastes') do |t|
        options[:t] = true
      end
      opts.parse!
    end
    options
  end
end
